Bug 1418180 - [RFE] Openshift support for OpenStack LBaaS
Summary: [RFE] Openshift support for OpenStack LBaaS
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RFE
Version: 3.4.0
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
: ---
Assignee: Ben Bennett
QA Contact: Xiaoli Tian
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 07:58 UTC by Sergi Jimenez Romero
Modified: 2020-05-14 15:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-12 13:54:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Sergi Jimenez Romero 2017-02-01 07:58:51 UTC
From the RFE template:

> 3. What is the nature and description of the request?

An OpenShift cluster deployed on top of OpenStack could use LBaaS as a router to expose services to the outside world pretty much like it does today with F5.

> 4. Why does the customer need this? (List the business requirements here)

Customer would like to avoid having two layers of load balancers and would like to see same level of integration as OpenShift provides for F5.

> 5. How would the customer like to achieve this? (List the functional requirements here)
It should be possible to configure OpenShift cluster to communicate with LBaaS and use it as router service.

> 6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
The idea will be to have the integration with LBaaS like the current one with F5 load balacers, so when a route is created, instead creating entries in the HAProxy's router, OCP will talk with the OpenStack API to create the proper LBaaS entries to expose externally the service.

> 10. List any affected packages or components.
Master

Comment 2 Eric Rich 2018-03-12 13:54:36 UTC
This bug has been identified as a dated (created more than 3 months ago) bug. 
This bug has been triaged (has a trello card linked to it), or reviewed by Engineering/PM and has been put into the product backlog, 
however this bug has not been slated for a currently planned release (3.9, 3.10 or 3.11), which cover our releases for the rest of the calendar year. 

As a result of this bugs age, state on the current roadmap and PM Score (being below 70), this bug is being Closed - Differed, 
as it is currently not part of the products immediate priorities.

Please see: https://docs.google.com/document/d/1zdqF4rB3ea8GmVIZ7qWCVYUaQ7-EexUrQEF0MTwdDkw/edit for more details.


Note You need to log in before you can comment on or make changes to this bug.